VTK: vtk::detail::TupleRange< ArrayTypeT, TupleSize > Struct Template Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Attributes | List of all members
vtk::detail::TupleRange< ArrayTypeT, TupleSize > Struct Template Reference

`#include <vtkDataArrayTupleRange_Generic.h>`

## Public Types
using | ArrayType = ArrayTypeT
using | APIType = GetAPIType< ArrayType >
using | TupleIteratorType = TupleIterator< ArrayType, TupleSize >
using | ConstTupleIteratorType = ConstTupleIterator< ArrayType, TupleSize >
using | TupleReferenceType = TupleReference< ArrayType, TupleSize >
using | ConstTupleReferenceType = ConstTupleReference< ArrayType, TupleSize >
using | ComponentIteratorType = ComponentIterator< ArrayType, TupleSize >
using | ConstComponentIteratorType = ConstComponentIterator< ArrayType, TupleSize >
using | ComponentReferenceType = ComponentReference< ArrayType, TupleSize >
using | ConstComponentReferenceType = ConstComponentReference< ArrayType, TupleSize >
using | ComponentType = APIType
using | size_type = TupleIdType
using | iterator = TupleIteratorType
using | const_iterator = ConstTupleIteratorType
using | reference = TupleReferenceType
using | const_reference = ConstTupleReferenceType

## Public Member Functions
VTK_ITER_INLINE | TupleRange () noexcept=default
VTK_ITER_INLINE | TupleRange (ArrayType *arr, TupleIdType beginTuple, TupleIdType endTuple) noexcept
VTK_ITER_INLINE TupleRange | GetSubRange (TupleIdType beginTuple=0, TupleIdType endTuple=-1) const noexcept
VTK_ITER_INLINE ArrayType * | GetArray () const noexcept
VTK_ITER_INLINE ComponentIdType | GetTupleSize () const noexcept
VTK_ITER_INLINE TupleIdType | GetBeginTupleId () const noexcept
VTK_ITER_INLINE TupleIdType | GetEndTupleId () const noexcept
VTK_ITER_INLINE size_type | size () const noexcept
VTK_ITER_INLINE iterator | begin () noexcept
VTK_ITER_INLINE iterator | end () noexcept
VTK_ITER_INLINE const_iterator | begin () const noexcept
VTK_ITER_INLINE const_iterator | end () const noexcept
VTK_ITER_INLINE const_iterator | cbegin () const noexcept
VTK_ITER_INLINE const_iterator | cend () const noexcept
VTK_ITER_INLINE reference | operator[] (size_type i) noexcept
VTK_ITER_INLINE const_reference | operator[] (size_type i) const noexcept

## Static Public Attributes
constexpr static ComponentIdType | TupleSizeTag = TupleSize

## Detailed Description

### template<typename ArrayTypeT, ComponentIdType TupleSize>
struct vtk::detail::TupleRange< ArrayTypeT, TupleSize >

Definition at line 1622 of file vtkDataArrayTupleRange_Generic.h.

## Member Typedef Documentation

## ◆ ArrayType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::ArrayType = ArrayTypeT

Definition at line 1630 of file vtkDataArrayTupleRange_Generic.h.

## ◆ APIType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::APIType = GetAPIType<ArrayType>

Definition at line 1631 of file vtkDataArrayTupleRange_Generic.h.

## ◆ TupleIteratorType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::TupleIteratorType = TupleIterator<ArrayType, TupleSize>

Definition at line 1632 of file vtkDataArrayTupleRange_Generic.h.

## ◆ ConstTupleIteratorType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::ConstTupleIteratorType = ConstTupleIterator<ArrayType, TupleSize>

Definition at line 1633 of file vtkDataArrayTupleRange_Generic.h.

## ◆ TupleReferenceType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::TupleReferenceType = TupleReference<ArrayType, TupleSize>

Definition at line 1634 of file vtkDataArrayTupleRange_Generic.h.

## ◆ ConstTupleReferenceType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::ConstTupleReferenceType = ConstTupleReference<ArrayType, TupleSize>

Definition at line 1635 of file vtkDataArrayTupleRange_Generic.h.

## ◆ ComponentIteratorType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::ComponentIteratorType = ComponentIterator<ArrayType, TupleSize>

Definition at line 1636 of file vtkDataArrayTupleRange_Generic.h.

## ◆ ConstComponentIteratorType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::ConstComponentIteratorType = ConstComponentIterator<ArrayType, TupleSize>

Definition at line 1637 of file vtkDataArrayTupleRange_Generic.h.

## ◆ ComponentReferenceType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::ComponentReferenceType = ComponentReference<ArrayType, TupleSize>

Definition at line 1638 of file vtkDataArrayTupleRange_Generic.h.

## ◆ ConstComponentReferenceType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::ConstComponentReferenceType = ConstComponentReference<ArrayType, TupleSize>

Definition at line 1639 of file vtkDataArrayTupleRange_Generic.h.

## ◆ ComponentType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::ComponentType = APIType

Definition at line 1640 of file vtkDataArrayTupleRange_Generic.h.

## ◆ size_type

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::size_type = TupleIdType

Definition at line 1645 of file vtkDataArrayTupleRange_Generic.h.

## ◆ iterator

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::iterator = TupleIteratorType

Definition at line 1646 of file vtkDataArrayTupleRange_Generic.h.

## ◆ const_iterator

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::const_iterator = ConstTupleIteratorType

Definition at line 1647 of file vtkDataArrayTupleRange_Generic.h.

## ◆ reference

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::reference = TupleReferenceType

Definition at line 1648 of file vtkDataArrayTupleRange_Generic.h.

## ◆ const_reference

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::TupleRange< ArrayTypeT, TupleSize >::const_reference = ConstTupleReferenceType

Definition at line 1649 of file vtkDataArrayTupleRange_Generic.h.

## Constructor & Destructor Documentation

## ◆ TupleRange() [1/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::TupleRange< ArrayTypeT, TupleSize >::TupleRange | ( |  | ) |
| defaultnoexcept

## ◆ TupleRange() [2/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::TupleRange< ArrayTypeT, TupleSize >::TupleRange | ( | ArrayType * | arr,
|  | TupleIdType | beginTuple,
|  | TupleIdType | endTuple
| ) |  |
| inlinenoexcept

Definition at line 1655 of file vtkDataArrayTupleRange_Generic.h.

## Member Function Documentation

## ◆ GetSubRange()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleRange vtk::detail::TupleRange< ArrayTypeT, TupleSize >::GetSubRange | ( | TupleIdType | beginTuple = `0`,
|  | TupleIdType | endTuple = `-1`
| ) |  | const
| inlinenoexcept

Definition at line 1667 of file vtkDataArrayTupleRange_Generic.h.

## ◆ GetArray()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE ArrayType* vtk::detail::TupleRange< ArrayTypeT, TupleSize >::GetArray | ( |  | ) | const
| inlinenoexcept

Definition at line 1676 of file vtkDataArrayTupleRange_Generic.h.

## ◆ GetTupleSize()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE ComponentIdType vtk::detail::TupleRange< ArrayTypeT, TupleSize >::GetTupleSize | ( |  | ) | const
| inlinenoexcept

Definition at line 1678 of file vtkDataArrayTupleRange_Generic.h.

## ◆ GetBeginTupleId()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIdType vtk::detail::TupleRange< ArrayTypeT, TupleSize >::GetBeginTupleId | ( |  | ) | const
| inlinenoexcept

Definition at line 1680 of file vtkDataArrayTupleRange_Generic.h.

## ◆ GetEndTupleId()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE TupleIdType vtk::detail::TupleRange< ArrayTypeT, TupleSize >::GetEndTupleId | ( |  | ) | const
| inlinenoexcept

Definition at line 1682 of file vtkDataArrayTupleRange_Generic.h.

## ◆ size()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE size_type vtk::detail::TupleRange< ArrayTypeT, TupleSize >::size | ( |  | ) | const
| inlinenoexcept

Definition at line 1685 of file vtkDataArrayTupleRange_Generic.h.

## ◆ begin() [1/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE iterator vtk::detail::TupleRange< ArrayTypeT, TupleSize >::begin | ( |  | ) |
| inlinenoexcept

Definition at line 1688 of file vtkDataArrayTupleRange_Generic.h.

## ◆ end() [1/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE iterator vtk::detail::TupleRange< ArrayTypeT, TupleSize >::end | ( |  | ) |
| inlinenoexcept

Definition at line 1690 of file vtkDataArrayTupleRange_Generic.h.

## ◆ begin() [2/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_iterator vtk::detail::TupleRange< ArrayTypeT, TupleSize >::begin | ( |  | ) | const
| inlinenoexcept

Definition at line 1693 of file vtkDataArrayTupleRange_Generic.h.

## ◆ end() [2/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_iterator vtk::detail::TupleRange< ArrayTypeT, TupleSize >::end | ( |  | ) | const
| inlinenoexcept

Definition at line 1695 of file vtkDataArrayTupleRange_Generic.h.

## ◆ cbegin()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_iterator vtk::detail::TupleRange< ArrayTypeT, TupleSize >::cbegin | ( |  | ) | const
| inlinenoexcept

Definition at line 1698 of file vtkDataArrayTupleRange_Generic.h.

## ◆ cend()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_iterator vtk::detail::TupleRange< ArrayTypeT, TupleSize >::cend | ( |  | ) | const
| inlinenoexcept

Definition at line 1700 of file vtkDataArrayTupleRange_Generic.h.

## ◆ operator[]() [1/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE reference vtk::detail::TupleRange< ArrayTypeT, TupleSize >::operator[] | ( | size_type | i | ) |
| inlinenoexcept

Definition at line 1703 of file vtkDataArrayTupleRange_Generic.h.

## ◆ operator[]() [2/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_reference vtk::detail::TupleRange< ArrayTypeT, TupleSize >::operator[] | ( | size_type | i | ) | const
| inlinenoexcept

Definition at line 1709 of file vtkDataArrayTupleRange_Generic.h.

## Member Data Documentation

## ◆ TupleSizeTag

template<typename ArrayTypeT , ComponentIdType TupleSize>

constexpr static ComponentIdType vtk::detail::TupleRange< ArrayTypeT, TupleSize >::TupleSizeTag = TupleSize
| staticconstexpr

Definition at line 1643 of file vtkDataArrayTupleRange_Generic.h.

The documentation for this struct was generated from the following files:

- Common/Core/vtkDataArrayTupleRange_AOS.h
- Common/Core/vtkDataArrayTupleRange_Generic.h